CHOOM(1)

NAMN
choom - display or adjust OOM-killer score

SYNOPSIS

choom -p PID

choom -p PID -n nummer

choom -n nummer [--] kommando [argument ...]

BESKRIVNING

The choom command displays or adjusts the Out-Of-Memory killer score setting.

FLAGGOR

-p, --pid pid
    Anger process-ID.

-n, --adjust värde
    Ange värdet för justeringspoängen.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

ANTECKNINGAR

Linux-kärnan använder badness-heuristiken för att välja vilken process som ska dödas när minnet inte räcker till.

Badness-heuristiken tilldelar varje kandidatuppgift ett värde från 0 (dödar aldrig) till 1000 (dödar alltid) för att avgöra vilken process som är målet. Enheterna är ungefär en proportion längs det intervall av tillåtet minne som processen kan allokera från baserat på en uppskattning av dess aktuella minnes- och växlingsanvändning. Om en uppgift till exempel använder allt tillåtet minne kommer dess badness-poäng att vara 1000. Om den använder hälften av det tillåtna minnet blir poängen 500.

Det finns ytterligare en faktor som ingår i poängen för dålighet: den aktuella minnes- och växlingsanvändningen diskonteras med 3% feller rotprocesser.

Mängden "tillåtet" minne beror på i vilket sammanhang oom killer anropades. Om det beror på att det minne som tilldelats den allokerande uppgiftens cpuset är uttömt, representerar det tillåtna minnet den uppsättning mems som tilldelats det cpuset. Om det beror på att en mempolicys nod(er) är uttömd, representerar det tillåtna minnet uppsättningen mempolicy-noder. Om det beror på att en minnesgräns (eller växlingsgräns) har nåtts, är det tillåtna minnet den konfigurerade gränsen. Slutligen, om det beror på att hela systemet har slut på minne, representerar det tillåtna minnet alla allokeringsbara resurser.

Adjust score-värdet läggs till badness-poängen innan det används för att avgöra vilken uppgift som ska dödas. Acceptabla värden sträcker sig från -1000 till +1000. Detta gör det möjligt för userspace att polarisera preferensen för oom killing antingen genom att alltid föredra en viss uppgift eller genom att helt inaktivera den. Det lägsta möjliga värdet, -1000, motsvarar att oom killing inaktiveras helt för den uppgiften eftersom den alltid kommer att rapportera en badness score på 0.

Om du till exempel anger ett värde för justeringspoäng på +500 motsvarar det ungefär att resten av de uppgifter som delar samma resurser för system, cpuset, mempolicy eller minneskontroller får använda minst 50 % mer minne. Ett värde på -500, å andra sidan, skulle ungefär motsvara att 50% of av uppgiftens tillåtna minne inte skulle betraktas som poäng mot uppgiften.

UPPHOVSPERSONER

SE ÄVEN

proc(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot choom ingår i paketet util-linux som kan hämtas från